|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerWidgetBoxInterface::Category Class Reference

    #include <QDesignerWidgetBoxInterface>

- List of all members, including inherited members

### Public Types

- enum Type { Default, Scratchpad }

### Public Functions

- Category ( const QString & aname = QString(), Type atype = Default )
- void addWidget ( const Widget & awidget )
- bool isNull () const
- QString name () const
- void removeWidget ( int idx )
- void setName ( const QString & aname )
- void setType ( Type atype )
- Type type () const
- Widget widget ( int idx ) const
- int widgetCount () const

## Detailed Description

## Member Type Documentation

### enum Category::Type

Constant | Value
--- | ---
`QDesignerWidgetBoxInterface::Category::Default` | `0`
`QDesignerWidgetBoxInterface::Category::Scratchpad` | `1`

## Member Function Documentation

### Category::Category ( const QString & aname = QString(), Type atype = Default )

### void Category::addWidget ( const Widget & awidget )

### bool Category::isNull () const

### QString Category::name () const

### void Category::removeWidget ( int idx )

### void Category::setName ( const QString & aname )

### void Category::setType ( Type atype )

### Type Category::type () const

### Widget Category::widget ( int idx ) const

### int Category::widgetCount () const